import { IMaybe } from 'typescript-monads';
import { IDeviceConfig } from '../config/interfaces';
interface IDigestBag {
    readonly dateIsoString: string;
    readonly nonceBase64: string;
    readonly digest64: string;
    readonly username: string;
}
export interface IUserCredentials {
    readonly username: string;
    readonly password: string;
}
export declare const onvifDigest: (dateIsoString: string) => import("typescript-monads").IReader<IDeviceConfig, IMaybe<PromiseLike<IDigestBag>>>;
export declare const createUserToken: (timeDifference?: number) => import("typescript-monads").IReader<IDeviceConfig, IMaybe<PromiseLike<string>>>;
export {};
